<?php

namespace EventPortal\Domain\Admin\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;
use EventPortal\Domain\Permission\Models\Role;

class UpdateAssignedRole
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $role = Role::findById($payload->getArrayValue('role_id'));

        $payload->getModel()->syncRoles($role);

        return $next($payload);
    }
}
